ReferenceAutomationsRulesIdDisable
Disable a published rule for future events
Disable a published rule for future events - POST /automations/rules/{id}/disable. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/automations/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08/disable" \ -H "Content-Type: application/json" \ -d '{ "expectedPublishedRevision": 0 }'{ "createdAt": "string", "draft": { "property1": null, "property2": null }, "draftRevision": 0, "enabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publishedRevision": 0, "updatedAt": "string"}Replace an automation draft with revision check PUT
Replace an automation draft with revision check - PUT /automations/rules/{id}. DocDealer REST API reference.
Publish the exact reviewed draft revision POST
Publish the exact reviewed draft revision - POST /automations/rules/{id}/publish. DocDealer REST API reference.